Next Commerce
Products

Products Prices Create

Create a product price in an existing product.

POST
/products/{id}/prices/

Authorization

oauth2 catalogue:write
AuthorizationBearer <token>

Generate an Access Token through Settings > API Access for single store access or use the Authorization Code flow with your partner App Client ID. Use required permission scopes for API endpoint access. Example Authorization: Bearer 123

In: header

Scope: catalogue:write

Path Parameters

id*integer

A unique integer value identifying this Product.

Header Parameters

X-29next-API-Version*string
Default"2023-02-10"
Value in"2023-02-10"

Request Body

currency?string
Lengthlength <= 12
price*string
Match^-?\d{0,10}(?:\.\d{0,2})?$
Formatdecimal
retail?|
Match^-?\d{0,10}(?:\.\d{0,2})?$
Formatdecimal
subscription?|
Match^-?\d{0,10}(?:\.\d{0,2})?$
Formatdecimal
subscription_suggested_downsell?|
Match^-?\d{0,10}(?:\.\d{0,2})?$
Formatdecimal

Response Body

application/json

curl -X POST "https://example.29next.store/api/admin/products/0/prices/" \
  -H "X-29next-API-Version: 2023-02-10" \
  -H "Authorization: Bearer " \
  -H "Content-Type: application/json" \
  -d '{
    "price": "string"
  }'
{
  "currency": "string",
  "price": "string",
  "retail": "string",
  "subscription": "string",
  "subscription_suggested_downsell": "string"
}